Applies a partial change to the project

This is a PARTIAL implementation of the JsonPatch protocol - See https://tools.ietf.org/html/rfc6902 for more information.

Setting an object property within an array is NOT supported (e.g. "path": "fields/estimates/2/selectedEstimate")

Instead, use a replace on the full array element (e.g. "path": "fields/estimates/2")

Examples of valid operations:

Replace a string:

PATCH /businessUnits/{businessUnitId}/projects/{id}
[
   {
      "path": "fields/name",
      "op": "add",
      "value": "New Project Name"
   }
]
        

Replace an entire array:

PATCH /businessUnits/{businessUnitId}/projects/{id}
[
   {
      "path": "fields/bidResults",
      "op": "add",
      "value": [{"name": "Competitor 1", "amount": 38204, "winner": true}]
   }
]
        

Add an element to end of array:

PATCH /businessUnits/{businessUnitId}/projects/{id}
[
   {
      "path": "fields/bidResults/-",
      "op": "add",
      "value": {"name": "Competitor 1", "amount": 38204, "winner": true}
   }
]
        

Replace the first element in an array:

PATCH /businessUnits/{businessUnitId}/projects/{id}
[
   {
      "path": "fields/bidResults/0",
      "op": "replace",
      "value": {"name": "Competitor 1", "amount": 38204, "winner": true}
   }
]

For help with authorization, see https://developer.hcssapps.com/getting-started/request-tokens

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The id of the project to patch

string
required
Body Params

The changes to be applied to the project

Responses

Language
Credentials
OAuth2
Required Scopes
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json